Debian Bug report logs - #314228
RM: cxx -- RoM; unusable with current binutils

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Adam C Powell IV <hazelsct@mit.edu>

Date: Mon, 6 Jan 2003 23:18:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hazelsct@debian.org (Adam C. Powell, IV), cxx@packages.qa.debian.org:
Bug#175604; Package cxx. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@mit.edu>:
New Bug report received and forwarded. Copy sent to hazelsct@debian.org (Adam C. Powell, IV), cxx@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@mit.edu>
To: debian-alpha@lists.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: trouble installing cxx
Date: Mon, 06 Jan 2003 18:08:39 -0500
Package: cxx

Dannis 't Hart wrote:

>On Fri, 2003-01-03 at 09:00, Alan Young wrote:
>  
>
>>On 02 Jan 2003 23:45:31 +0100 Dannis 't Hart <dchart@dds.nl> wrote:
>>    
>>
>>>It complains:
>>>
>>>chmod: failed to get attributes of
>>>`usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/crtbegin.o': No such file or
>>>directory
>>>chmod: failed to get attributes of
>>>`usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/crtend.o': No such file or
>>>directory
>>>      
>>>
>>Hi,
>>
>>It might be a typo in the install script.  The paths you show above are
>>missing the initial / at the beginning. The paths should begin as /usr
>>not just usr.
>>
>>Also, these two files are just symlinks into files that reside in your gcc
>>installation directory.  You might want to check you flipped your
>>/usr/lib/gcc-lib/ subdirectories correctly between 2.95 and 3.2.
>>
>>Alan
>>
>>    
>>
>Your hints convinced me to search for the install script. The error
>appeared while executing /var/lib/dpkg/info/cxx.postinst.
>Nevertheless, this script seemed correct; the relative paths are
>intentional, from an unpacking directory. After looking closer, I
>noticed it was actually an inconsistency in the RPM, because it made a
>symlink to /usr/lib/crtbegin.o and /usr/lib/crtend.o. And of course
>these became dangling, because Debian puts them in
>/usr/lib/gcc-lib/alpha-linux/2.95.4
>
>So, the workaround was to temporarily create 2 extra symlinks:
>
>cd /usr/lib
>ln -s /usr/lib/gcc-lib/alpha-linux/2.95.4/crtbegin.o crtbegin.o
>ln -s /usr/lib/gcc-lib/alpha-linux/2.95.4/crtend.o crtend.o
>
>And then the packages installed right. 
>It consequently makes correct symlinks in
>/usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin
>
>So you can clean up the temporary symlinks in /usr/lib.
>
Thanks for pointing this out, I'll look for and try to fix this in the 
next cxx .deb release, in addition to the two other open cxx bugs.

I've got to wishlist migrating all of these packages to gcc-3.2 also... 
will do soon.

Zeen,
-- 

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe! 
<http://lyre.mit.edu/%7Epowell/The_Best_Stuff_In_The_World_Today_Cafe.ogg>






Information forwarded to debian-bugs-dist@lists.debian.org, hazelsct@debian.org (Adam C. Powell, IV):
Bug#175604; Package cxx. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to hazelsct@debian.org (Adam C. Powell, IV). Full text and rfc822 format available.

Message #10 received at 175604@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Debian Alpha <debian-alpha@lists.debian.org>
Cc: control@bugs.debian.org, 175604@bugs.debian.org, 305329@bugs.debian.org
Subject: HPaq cxx trouble
Date: Wed, 20 Apr 2005 14:55:22 -0400
retitle 175604 cxx's "compaq" mangling style not supported by binutils
severity 175604 grave
thanks

At some point in the past two years, binutils has stopped supporting the
"compaq" C++ name mangling style.  Therefore, cxx cannot be installed,
and cannot function once installed; this applies to 6.3.9.7-1 currently
in testing and my attempt to update to 6.5.9.31.

Does anyone know how this might be fixed?  I guess an approach is to get
an old binutils which worked and try to generate a patch, but I've no
idea what's involved there...

Thanks,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Changed Bug title. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, hazelsct@debian.org (Adam C. Powell, IV):
Bug#175604; Package cxx. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to hazelsct@debian.org (Adam C. Powell, IV). Full text and rfc822 format available.

Message #19 received at 175604@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Carlos Rodrigues <carlos.efr@mail.telepac.pt>
Cc: Debian Alpha <debian-alpha@lists.debian.org>, 175604@bugs.debian.org, 305329@bugs.debian.org
Subject: Re: HPaq cxx trouble
Date: Thu, 21 Apr 2005 16:49:46 -0400
On Thu, 2005-04-21 at 12:55 +0100, Carlos Rodrigues wrote:
> Adam C Powell IV wrote:
> > retitle 175604 cxx's "compaq" mangling style not supported by binutils
> > severity 175604 grave
> > thanks
> > 
> > At some point in the past two years, binutils has stopped supporting the
> > "compaq" C++ name mangling style.  Therefore, cxx cannot be installed,
> > and cannot function once installed; this applies to 6.3.9.7-1 currently
> > in testing and my attempt to update to 6.5.9.31.
> > 
> > Does anyone know how this might be fixed?  I guess an approach is to get
> > an old binutils which worked and try to generate a patch, but I've no
> > idea what's involved there...
> 
> I don't know if there is something to fix. If GCC's C++ mangling 
> changed, it changed for a reason (not accidentally). This means that 
> CXX's days may be over.

Oh.  The error message made me think that "compaq" might be one of many
mangling styles supported, but it seems not.  Oh well, RIP CXX. :-(

The good news: the CCC .deb now works again (in unstable, will be in
testing by the end of next week).

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, hazelsct@debian.org (Adam C. Powell, IV):
Bug#175604; Package cxx. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to hazelsct@debian.org (Adam C. Powell, IV). Full text and rfc822 format available.

Message #24 received at 175604@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 175604@bugs.debian.org
Subject: Re: cxx's "compaq" mangling style not supported by binutils
Date: Sun, 12 Jun 2005 21:54:30 -0700
[Message part 1 (text/plain, inline)]
Hi Adam,

Since the cxx package is now unusable with current binutils, is there any
reason to keep this package around in the archive?

Thanks,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, hazelsct@debian.org (Adam C. Powell, IV):
Bug#175604; Package cxx. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to hazelsct@debian.org (Adam C. Powell, IV). Full text and rfc822 format available.

Message #29 received at 175604@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Steve Langasek <vorlon@debian.org>, 175604@bugs.debian.org
Subject: Re: Bug#175604: cxx's "compaq" mangling style not supported by binutils
Date: Tue, 14 Jun 2005 18:18:43 -0400
Hello Steve,

Now that you mention it, no, it's not part of sarge but is still part of
woody (since it works there).  Too bad, it was a neat compiler.

Thanks.

On Sun, 2005-06-12 at 21:54 -0700, Steve Langasek wrote:
> Hi Adam,
> 
> Since the cxx package is now unusable with current binutils, is there any
> reason to keep this package around in the archive?
> 
> Thanks,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, hazelsct@debian.org (Adam C. Powell, IV):
Bug#175604; Package cxx. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to hazelsct@debian.org (Adam C. Powell, IV). Full text and rfc822 format available.

Message #34 received at 175604@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: 175604@bugs.debian.org
Subject: Re: Bug#175604: cxx's "compaq" mangling style not supported by binutils
Date: Wed, 15 Jun 2005 02:22:18 -0700
[Message part 1 (text/plain, inline)]
clone 175604 -1
reassign -1 ftp.debian.org
severity -1 normal
retitle -1 RM: cxx -- RoM; unusable with current binutils
thanks

On Tue, Jun 14, 2005 at 06:18:43PM -0400, Adam C Powell IV wrote:

> On Sun, 2005-06-12 at 21:54 -0700, Steve Langasek wrote:
> > Hi Adam,
> > 
> > Since the cxx package is now unusable with current binutils, is there any
> > reason to keep this package around in the archive?

> Now that you mention it, no, it's not part of sarge but is still part of
> woody (since it works there).  Too bad, it was a neat compiler.

Ok, let's ask for it to be removed then.

Thanks,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Bug 175604 cloned as bug 314228. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `cxx' to `ftp.debian.org'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam C Powell IV <hazelsct@mit.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 314228-done@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 314228-done@bugs.debian.org
Cc: cxx@packages.debian.org, cxx@packages.qa.debian.org
Subject: Removed cxx from unstable
Date: Wed, 15 Jun 2005 19:46:53 -0400
We believe that the request you reported is now fixed; the following
package(s) have been removed from unstable:

       cxx |  6.3.9.7-3 | source, alpha

Reason: RoM; unusable with current binutils, superseded by ccc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to the just-closed bug (or by
replying to this mail if there is no bug closed).

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:41:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.